// Code generated by MockGen. DO NOT EDIT.
// Source: /home/lucifer/go/src/github.com/estern/api/common/gorm_wrapper.go

// Package mocks is a generated GoMock package.
package mocks

import (
	sql "database/sql"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	gorm "github.com/jinzhu/gorm"
	common "gitlab.com/aher.shiva/estern/api/common"
)

// MockGormw is a mock of Gormw interface
type MockGormw struct {
	ctrl     *gomock.Controller
	recorder *MockGormwMockRecorder
}

// MockGormwMockRecorder is the mock recorder for MockGormw
type MockGormwMockRecorder struct {
	mock *MockGormw
}

// NewMockGormw creates a new mock instance
func NewMockGormw(ctrl *gomock.Controller) *MockGormw {
	mock := &MockGormw{ctrl: ctrl}
	mock.recorder = &MockGormwMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockGormw) EXPECT() *MockGormwMockRecorder {
	return m.recorder
}

// Close mocks base method
func (m *MockGormw) Close() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Close")
	ret0, _ := ret[0].(error)
	return ret0
}

// Close indicates an expected call of Close
func (mr *MockGormwMockRecorder) Close() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Close", reflect.TypeOf((*MockGormw)(nil).Close))
}

// DB mocks base method
func (m *MockGormw) DB() *sql.DB {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DB")
	ret0, _ := ret[0].(*sql.DB)
	return ret0
}

// DB indicates an expected call of DB
func (mr *MockGormwMockRecorder) DB() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DB", reflect.TypeOf((*MockGormw)(nil).DB))
}

// New mocks base method
func (m *MockGormw) New() common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "New")
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// New indicates an expected call of New
func (mr *MockGormwMockRecorder) New() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "New", reflect.TypeOf((*MockGormw)(nil).New))
}

// NewScope mocks base method
func (m *MockGormw) NewScope(value interface{}) *gorm.Scope {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "NewScope", value)
	ret0, _ := ret[0].(*gorm.Scope)
	return ret0
}

// NewScope indicates an expected call of NewScope
func (mr *MockGormwMockRecorder) NewScope(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "NewScope", reflect.TypeOf((*MockGormw)(nil).NewScope), value)
}

// CommonDB mocks base method
func (m *MockGormw) CommonDB() gorm.SQLCommon {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CommonDB")
	ret0, _ := ret[0].(gorm.SQLCommon)
	return ret0
}

// CommonDB indicates an expected call of CommonDB
func (mr *MockGormwMockRecorder) CommonDB() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CommonDB", reflect.TypeOf((*MockGormw)(nil).CommonDB))
}

// Callback mocks base method
func (m *MockGormw) Callback() *gorm.Callback {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Callback")
	ret0, _ := ret[0].(*gorm.Callback)
	return ret0
}

// Callback indicates an expected call of Callback
func (mr *MockGormwMockRecorder) Callback() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Callback", reflect.TypeOf((*MockGormw)(nil).Callback))
}

// SetLogger mocks base method
func (m *MockGormw) SetLogger(l gorm.Logger) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SetLogger", l)
}

// SetLogger indicates an expected call of SetLogger
func (mr *MockGormwMockRecorder) SetLogger(l interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetLogger", reflect.TypeOf((*MockGormw)(nil).SetLogger), l)
}

// LogMode mocks base method
func (m *MockGormw) LogMode(enable bool) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "LogMode", enable)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// LogMode indicates an expected call of LogMode
func (mr *MockGormwMockRecorder) LogMode(enable interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "LogMode", reflect.TypeOf((*MockGormw)(nil).LogMode), enable)
}

// SingularTable mocks base method
func (m *MockGormw) SingularTable(enable bool) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SingularTable", enable)
}

// SingularTable indicates an expected call of SingularTable
func (mr *MockGormwMockRecorder) SingularTable(enable interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SingularTable", reflect.TypeOf((*MockGormw)(nil).SingularTable), enable)
}

// Where mocks base method
func (m *MockGormw) Where(query interface{}, args ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{query}
	for _, a := range args {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Where", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Where indicates an expected call of Where
func (mr *MockGormwMockRecorder) Where(query interface{}, args ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{query}, args...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Where", reflect.TypeOf((*MockGormw)(nil).Where), varargs...)
}

// Or mocks base method
func (m *MockGormw) Or(query interface{}, args ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{query}
	for _, a := range args {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Or", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Or indicates an expected call of Or
func (mr *MockGormwMockRecorder) Or(query interface{}, args ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{query}, args...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Or", reflect.TypeOf((*MockGormw)(nil).Or), varargs...)
}

// Not mocks base method
func (m *MockGormw) Not(query interface{}, args ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{query}
	for _, a := range args {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Not", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Not indicates an expected call of Not
func (mr *MockGormwMockRecorder) Not(query interface{}, args ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{query}, args...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Not", reflect.TypeOf((*MockGormw)(nil).Not), varargs...)
}

// Limit mocks base method
func (m *MockGormw) Limit(value int) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Limit", value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Limit indicates an expected call of Limit
func (mr *MockGormwMockRecorder) Limit(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Limit", reflect.TypeOf((*MockGormw)(nil).Limit), value)
}

// Offset mocks base method
func (m *MockGormw) Offset(value int) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Offset", value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Offset indicates an expected call of Offset
func (mr *MockGormwMockRecorder) Offset(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Offset", reflect.TypeOf((*MockGormw)(nil).Offset), value)
}

// Order mocks base method
func (m *MockGormw) Order(value string, reorder ...bool) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{value}
	for _, a := range reorder {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Order", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Order indicates an expected call of Order
func (mr *MockGormwMockRecorder) Order(value interface{}, reorder ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{value}, reorder...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Order", reflect.TypeOf((*MockGormw)(nil).Order), varargs...)
}

// Select mocks base method
func (m *MockGormw) Select(query interface{}, args ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{query}
	for _, a := range args {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Select", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Select indicates an expected call of Select
func (mr *MockGormwMockRecorder) Select(query interface{}, args ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{query}, args...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Select", reflect.TypeOf((*MockGormw)(nil).Select), varargs...)
}

// Omit mocks base method
func (m *MockGormw) Omit(columns ...string) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range columns {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Omit", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Omit indicates an expected call of Omit
func (mr *MockGormwMockRecorder) Omit(columns ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Omit", reflect.TypeOf((*MockGormw)(nil).Omit), columns...)
}

// Group mocks base method
func (m *MockGormw) Group(query string) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Group", query)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Group indicates an expected call of Group
func (mr *MockGormwMockRecorder) Group(query interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Group", reflect.TypeOf((*MockGormw)(nil).Group), query)
}

// Having mocks base method
func (m *MockGormw) Having(query string, values ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{query}
	for _, a := range values {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Having", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Having indicates an expected call of Having
func (mr *MockGormwMockRecorder) Having(query interface{}, values ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{query}, values...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Having", reflect.TypeOf((*MockGormw)(nil).Having), varargs...)
}

// Joins mocks base method
func (m *MockGormw) Joins(query string, args ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{query}
	for _, a := range args {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Joins", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Joins indicates an expected call of Joins
func (mr *MockGormwMockRecorder) Joins(query interface{}, args ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{query}, args...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Joins", reflect.TypeOf((*MockGormw)(nil).Joins), varargs...)
}

// Scopes mocks base method
func (m *MockGormw) Scopes(funcs ...func(*gorm.DB) *gorm.DB) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range funcs {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Scopes", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Scopes indicates an expected call of Scopes
func (mr *MockGormwMockRecorder) Scopes(funcs ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Scopes", reflect.TypeOf((*MockGormw)(nil).Scopes), funcs...)
}

// Unscoped mocks base method
func (m *MockGormw) Unscoped() common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Unscoped")
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Unscoped indicates an expected call of Unscoped
func (mr *MockGormwMockRecorder) Unscoped() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Unscoped", reflect.TypeOf((*MockGormw)(nil).Unscoped))
}

// Attrs mocks base method
func (m *MockGormw) Attrs(attrs ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range attrs {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Attrs", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Attrs indicates an expected call of Attrs
func (mr *MockGormwMockRecorder) Attrs(attrs ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Attrs", reflect.TypeOf((*MockGormw)(nil).Attrs), attrs...)
}

// Assign mocks base method
func (m *MockGormw) Assign(attrs ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range attrs {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Assign", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Assign indicates an expected call of Assign
func (mr *MockGormwMockRecorder) Assign(attrs ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Assign", reflect.TypeOf((*MockGormw)(nil).Assign), attrs...)
}

// First mocks base method
func (m *MockGormw) First(out interface{}, where ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{out}
	for _, a := range where {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "First", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// First indicates an expected call of First
func (mr *MockGormwMockRecorder) First(out interface{}, where ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{out}, where...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "First", reflect.TypeOf((*MockGormw)(nil).First), varargs...)
}

// Last mocks base method
func (m *MockGormw) Last(out interface{}, where ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{out}
	for _, a := range where {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Last", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Last indicates an expected call of Last
func (mr *MockGormwMockRecorder) Last(out interface{}, where ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{out}, where...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Last", reflect.TypeOf((*MockGormw)(nil).Last), varargs...)
}

// Find mocks base method
func (m *MockGormw) Find(out interface{}, where ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{out}
	for _, a := range where {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Find", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Find indicates an expected call of Find
func (mr *MockGormwMockRecorder) Find(out interface{}, where ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{out}, where...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Find", reflect.TypeOf((*MockGormw)(nil).Find), varargs...)
}

// Scan mocks base method
func (m *MockGormw) Scan(dest interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Scan", dest)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Scan indicates an expected call of Scan
func (mr *MockGormwMockRecorder) Scan(dest interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Scan", reflect.TypeOf((*MockGormw)(nil).Scan), dest)
}

// Row mocks base method
func (m *MockGormw) Row() *sql.Row {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Row")
	ret0, _ := ret[0].(*sql.Row)
	return ret0
}

// Row indicates an expected call of Row
func (mr *MockGormwMockRecorder) Row() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Row", reflect.TypeOf((*MockGormw)(nil).Row))
}

// Rows mocks base method
func (m *MockGormw) Rows() (*sql.Rows, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Rows")
	ret0, _ := ret[0].(*sql.Rows)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Rows indicates an expected call of Rows
func (mr *MockGormwMockRecorder) Rows() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Rows", reflect.TypeOf((*MockGormw)(nil).Rows))
}

// ScanRows mocks base method
func (m *MockGormw) ScanRows(rows *sql.Rows, result interface{}) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ScanRows", rows, result)
	ret0, _ := ret[0].(error)
	return ret0
}

// ScanRows indicates an expected call of ScanRows
func (mr *MockGormwMockRecorder) ScanRows(rows, result interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ScanRows", reflect.TypeOf((*MockGormw)(nil).ScanRows), rows, result)
}

// Pluck mocks base method
func (m *MockGormw) Pluck(column string, value interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Pluck", column, value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Pluck indicates an expected call of Pluck
func (mr *MockGormwMockRecorder) Pluck(column, value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Pluck", reflect.TypeOf((*MockGormw)(nil).Pluck), column, value)
}

// Count mocks base method
func (m *MockGormw) Count(value interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Count", value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Count indicates an expected call of Count
func (mr *MockGormwMockRecorder) Count(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Count", reflect.TypeOf((*MockGormw)(nil).Count), value)
}

// Related mocks base method
func (m *MockGormw) Related(value interface{}, foreignKeys ...string) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{value}
	for _, a := range foreignKeys {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Related", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Related indicates an expected call of Related
func (mr *MockGormwMockRecorder) Related(value interface{}, foreignKeys ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{value}, foreignKeys...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Related", reflect.TypeOf((*MockGormw)(nil).Related), varargs...)
}

// FirstOrInit mocks base method
func (m *MockGormw) FirstOrInit(out interface{}, where ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{out}
	for _, a := range where {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "FirstOrInit", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// FirstOrInit indicates an expected call of FirstOrInit
func (mr *MockGormwMockRecorder) FirstOrInit(out interface{}, where ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{out}, where...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FirstOrInit", reflect.TypeOf((*MockGormw)(nil).FirstOrInit), varargs...)
}

// FirstOrCreate mocks base method
func (m *MockGormw) FirstOrCreate(out interface{}, where ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{out}
	for _, a := range where {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "FirstOrCreate", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// FirstOrCreate indicates an expected call of FirstOrCreate
func (mr *MockGormwMockRecorder) FirstOrCreate(out interface{}, where ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{out}, where...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FirstOrCreate", reflect.TypeOf((*MockGormw)(nil).FirstOrCreate), varargs...)
}

// Update mocks base method
func (m *MockGormw) Update(attrs ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range attrs {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Update", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Update indicates an expected call of Update
func (mr *MockGormwMockRecorder) Update(attrs ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockGormw)(nil).Update), attrs...)
}

// Updates mocks base method
func (m *MockGormw) Updates(values interface{}, ignoreProtectedAttrs ...bool) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{values}
	for _, a := range ignoreProtectedAttrs {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Updates", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Updates indicates an expected call of Updates
func (mr *MockGormwMockRecorder) Updates(values interface{}, ignoreProtectedAttrs ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{values}, ignoreProtectedAttrs...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Updates", reflect.TypeOf((*MockGormw)(nil).Updates), varargs...)
}

// UpdateColumn mocks base method
func (m *MockGormw) UpdateColumn(attrs ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range attrs {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "UpdateColumn", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// UpdateColumn indicates an expected call of UpdateColumn
func (mr *MockGormwMockRecorder) UpdateColumn(attrs ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateColumn", reflect.TypeOf((*MockGormw)(nil).UpdateColumn), attrs...)
}

// UpdateColumns mocks base method
func (m *MockGormw) UpdateColumns(values interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateColumns", values)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// UpdateColumns indicates an expected call of UpdateColumns
func (mr *MockGormwMockRecorder) UpdateColumns(values interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateColumns", reflect.TypeOf((*MockGormw)(nil).UpdateColumns), values)
}

// Save mocks base method
func (m *MockGormw) Save(value interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Save", value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Save indicates an expected call of Save
func (mr *MockGormwMockRecorder) Save(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Save", reflect.TypeOf((*MockGormw)(nil).Save), value)
}

// Create mocks base method
func (m *MockGormw) Create(value interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Create indicates an expected call of Create
func (mr *MockGormwMockRecorder) Create(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockGormw)(nil).Create), value)
}

// Delete mocks base method
func (m *MockGormw) Delete(value interface{}, where ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{value}
	for _, a := range where {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Delete", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Delete indicates an expected call of Delete
func (mr *MockGormwMockRecorder) Delete(value interface{}, where ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{value}, where...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockGormw)(nil).Delete), varargs...)
}

// Raw mocks base method
func (m *MockGormw) Raw(sql string, values ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{sql}
	for _, a := range values {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Raw", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Raw indicates an expected call of Raw
func (mr *MockGormwMockRecorder) Raw(sql interface{}, values ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{sql}, values...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Raw", reflect.TypeOf((*MockGormw)(nil).Raw), varargs...)
}

// Exec mocks base method
func (m *MockGormw) Exec(sql string, values ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{sql}
	for _, a := range values {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Exec", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Exec indicates an expected call of Exec
func (mr *MockGormwMockRecorder) Exec(sql interface{}, values ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{sql}, values...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Exec", reflect.TypeOf((*MockGormw)(nil).Exec), varargs...)
}

// Model mocks base method
func (m *MockGormw) Model(value interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Model", value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Model indicates an expected call of Model
func (mr *MockGormwMockRecorder) Model(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Model", reflect.TypeOf((*MockGormw)(nil).Model), value)
}

// Table mocks base method
func (m *MockGormw) Table(name string) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Table", name)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Table indicates an expected call of Table
func (mr *MockGormwMockRecorder) Table(name interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Table", reflect.TypeOf((*MockGormw)(nil).Table), name)
}

// Debug mocks base method
func (m *MockGormw) Debug() common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Debug")
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Debug indicates an expected call of Debug
func (mr *MockGormwMockRecorder) Debug() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Debug", reflect.TypeOf((*MockGormw)(nil).Debug))
}

// Begin mocks base method
func (m *MockGormw) Begin() common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Begin")
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Begin indicates an expected call of Begin
func (mr *MockGormwMockRecorder) Begin() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Begin", reflect.TypeOf((*MockGormw)(nil).Begin))
}

// Commit mocks base method
func (m *MockGormw) Commit() common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Commit")
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Commit indicates an expected call of Commit
func (mr *MockGormwMockRecorder) Commit() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Commit", reflect.TypeOf((*MockGormw)(nil).Commit))
}

// Rollback mocks base method
func (m *MockGormw) Rollback() common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Rollback")
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Rollback indicates an expected call of Rollback
func (mr *MockGormwMockRecorder) Rollback() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Rollback", reflect.TypeOf((*MockGormw)(nil).Rollback))
}

// RollbackUnlessCommitted mocks base method
func (m *MockGormw) RollbackUnlessCommitted() common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RollbackUnlessCommitted")
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// RollbackUnlessCommitted indicates an expected call of RollbackUnlessCommitted
func (mr *MockGormwMockRecorder) RollbackUnlessCommitted() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RollbackUnlessCommitted", reflect.TypeOf((*MockGormw)(nil).RollbackUnlessCommitted))
}

// NewRecord mocks base method
func (m *MockGormw) NewRecord(value interface{}) bool {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "NewRecord", value)
	ret0, _ := ret[0].(bool)
	return ret0
}

// NewRecord indicates an expected call of NewRecord
func (mr *MockGormwMockRecorder) NewRecord(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "NewRecord", reflect.TypeOf((*MockGormw)(nil).NewRecord), value)
}

// RecordNotFound mocks base method
func (m *MockGormw) RecordNotFound() bool {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RecordNotFound")
	ret0, _ := ret[0].(bool)
	return ret0
}

// RecordNotFound indicates an expected call of RecordNotFound
func (mr *MockGormwMockRecorder) RecordNotFound() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RecordNotFound", reflect.TypeOf((*MockGormw)(nil).RecordNotFound))
}

// CreateTable mocks base method
func (m *MockGormw) CreateTable(values ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range values {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "CreateTable", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// CreateTable indicates an expected call of CreateTable
func (mr *MockGormwMockRecorder) CreateTable(values ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateTable", reflect.TypeOf((*MockGormw)(nil).CreateTable), values...)
}

// DropTable mocks base method
func (m *MockGormw) DropTable(values ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range values {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "DropTable", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// DropTable indicates an expected call of DropTable
func (mr *MockGormwMockRecorder) DropTable(values ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DropTable", reflect.TypeOf((*MockGormw)(nil).DropTable), values...)
}

// DropTableIfExists mocks base method
func (m *MockGormw) DropTableIfExists(values ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range values {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "DropTableIfExists", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// DropTableIfExists indicates an expected call of DropTableIfExists
func (mr *MockGormwMockRecorder) DropTableIfExists(values ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DropTableIfExists", reflect.TypeOf((*MockGormw)(nil).DropTableIfExists), values...)
}

// HasTable mocks base method
func (m *MockGormw) HasTable(value interface{}) bool {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "HasTable", value)
	ret0, _ := ret[0].(bool)
	return ret0
}

// HasTable indicates an expected call of HasTable
func (mr *MockGormwMockRecorder) HasTable(value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "HasTable", reflect.TypeOf((*MockGormw)(nil).HasTable), value)
}

// AutoMigrate mocks base method
func (m *MockGormw) AutoMigrate(values ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{}
	for _, a := range values {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "AutoMigrate", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// AutoMigrate indicates an expected call of AutoMigrate
func (mr *MockGormwMockRecorder) AutoMigrate(values ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AutoMigrate", reflect.TypeOf((*MockGormw)(nil).AutoMigrate), values...)
}

// ModifyColumn mocks base method
func (m *MockGormw) ModifyColumn(column, typ string) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ModifyColumn", column, typ)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// ModifyColumn indicates an expected call of ModifyColumn
func (mr *MockGormwMockRecorder) ModifyColumn(column, typ interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ModifyColumn", reflect.TypeOf((*MockGormw)(nil).ModifyColumn), column, typ)
}

// DropColumn mocks base method
func (m *MockGormw) DropColumn(column string) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DropColumn", column)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// DropColumn indicates an expected call of DropColumn
func (mr *MockGormwMockRecorder) DropColumn(column interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DropColumn", reflect.TypeOf((*MockGormw)(nil).DropColumn), column)
}

// AddIndex mocks base method
func (m *MockGormw) AddIndex(indexName string, column ...string) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{indexName}
	for _, a := range column {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "AddIndex", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// AddIndex indicates an expected call of AddIndex
func (mr *MockGormwMockRecorder) AddIndex(indexName interface{}, column ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{indexName}, column...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddIndex", reflect.TypeOf((*MockGormw)(nil).AddIndex), varargs...)
}

// AddUniqueIndex mocks base method
func (m *MockGormw) AddUniqueIndex(indexName string, column ...string) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{indexName}
	for _, a := range column {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "AddUniqueIndex", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// AddUniqueIndex indicates an expected call of AddUniqueIndex
func (mr *MockGormwMockRecorder) AddUniqueIndex(indexName interface{}, column ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{indexName}, column...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddUniqueIndex", reflect.TypeOf((*MockGormw)(nil).AddUniqueIndex), varargs...)
}

// RemoveIndex mocks base method
func (m *MockGormw) RemoveIndex(indexName string) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RemoveIndex", indexName)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// RemoveIndex indicates an expected call of RemoveIndex
func (mr *MockGormwMockRecorder) RemoveIndex(indexName interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RemoveIndex", reflect.TypeOf((*MockGormw)(nil).RemoveIndex), indexName)
}

// AddForeignKey mocks base method
func (m *MockGormw) AddForeignKey(field, dest, onDelete, onUpdate string) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddForeignKey", field, dest, onDelete, onUpdate)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// AddForeignKey indicates an expected call of AddForeignKey
func (mr *MockGormwMockRecorder) AddForeignKey(field, dest, onDelete, onUpdate interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddForeignKey", reflect.TypeOf((*MockGormw)(nil).AddForeignKey), field, dest, onDelete, onUpdate)
}

// Association mocks base method
func (m *MockGormw) Association(column string) *gorm.Association {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Association", column)
	ret0, _ := ret[0].(*gorm.Association)
	return ret0
}

// Association indicates an expected call of Association
func (mr *MockGormwMockRecorder) Association(column interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Association", reflect.TypeOf((*MockGormw)(nil).Association), column)
}

// Preload mocks base method
func (m *MockGormw) Preload(column string, conditions ...interface{}) common.Gormw {
	m.ctrl.T.Helper()
	varargs := []interface{}{column}
	for _, a := range conditions {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Preload", varargs...)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Preload indicates an expected call of Preload
func (mr *MockGormwMockRecorder) Preload(column interface{}, conditions ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{column}, conditions...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Preload", reflect.TypeOf((*MockGormw)(nil).Preload), varargs...)
}

// Set mocks base method
func (m *MockGormw) Set(name string, value interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Set", name, value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// Set indicates an expected call of Set
func (mr *MockGormwMockRecorder) Set(name, value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Set", reflect.TypeOf((*MockGormw)(nil).Set), name, value)
}

// InstantSet mocks base method
func (m *MockGormw) InstantSet(name string, value interface{}) common.Gormw {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "InstantSet", name, value)
	ret0, _ := ret[0].(common.Gormw)
	return ret0
}

// InstantSet indicates an expected call of InstantSet
func (mr *MockGormwMockRecorder) InstantSet(name, value interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "InstantSet", reflect.TypeOf((*MockGormw)(nil).InstantSet), name, value)
}

// Get mocks base method
func (m *MockGormw) Get(name string) (interface{}, bool) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", name)
	ret0, _ := ret[0].(interface{})
	ret1, _ := ret[1].(bool)
	return ret0, ret1
}

// Get indicates an expected call of Get
func (mr *MockGormwMockRecorder) Get(name interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockGormw)(nil).Get), name)
}

// SetJoinTableHandler mocks base method
func (m *MockGormw) SetJoinTableHandler(source interface{}, column string, handler gorm.JoinTableHandlerInterface) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "SetJoinTableHandler", source, column, handler)
}

// SetJoinTableHandler indicates an expected call of SetJoinTableHandler
func (mr *MockGormwMockRecorder) SetJoinTableHandler(source, column, handler interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SetJoinTableHandler", reflect.TypeOf((*MockGormw)(nil).SetJoinTableHandler), source, column, handler)
}

// AddError mocks base method
func (m *MockGormw) AddError(err error) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddError", err)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddError indicates an expected call of AddError
func (mr *MockGormwMockRecorder) AddError(err interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddError", reflect.TypeOf((*MockGormw)(nil).AddError), err)
}

// GetErrors mocks base method
func (m *MockGormw) GetErrors() []error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetErrors")
	ret0, _ := ret[0].([]error)
	return ret0
}

// GetErrors indicates an expected call of GetErrors
func (mr *MockGormwMockRecorder) GetErrors() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetErrors", reflect.TypeOf((*MockGormw)(nil).GetErrors))
}

// Error mocks base method
func (m *MockGormw) Error() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Error")
	ret0, _ := ret[0].(error)
	return ret0
}

// Error indicates an expected call of Error
func (mr *MockGormwMockRecorder) Error() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Error", reflect.TypeOf((*MockGormw)(nil).Error))
}

// RowsAffected mocks base method
func (m *MockGormw) RowsAffected() int64 {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RowsAffected")
	ret0, _ := ret[0].(int64)
	return ret0
}

// RowsAffected indicates an expected call of RowsAffected
func (mr *MockGormwMockRecorder) RowsAffected() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RowsAffected", reflect.TypeOf((*MockGormw)(nil).RowsAffected))
}
